Holger's Java API

## com.antelmann.ooffice
Class OfficeElementTreeNode

    java.lang.Object
      com.antelmann.ooffice.OfficeElementTreeNode

All Implemented Interfaces:
  Wrapped<Object>, TreeNode

    public class OfficeElementTreeNode

extends Object
implements TreeNode, Wrapped<Object>

Since:
  09.04.2015, 20:38:03
Author:
  holger

Constructor Summary
`OfficeElementTreeNode(Object element, String title, TreeNode parent)`

Method Summary
`Enumeration<?>` `children()`
`boolean` `getAllowsChildren()`
`TreeNode` `getChildAt(int index)`
`int` `getChildCount()`
`protected ArrayList<TreeNode>` `getChildren()`
`int` `getIndex(TreeNode node)`
`TreeNode` `getParent()`
`boolean` `isLeaf()`
`String` `toString()`
`Object` `unwrap()` returns the embedded instance that this wrapper encloses

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OfficeElementTreeNode

    public OfficeElementTreeNode(Object element,
                                 String title,
                                 TreeNode parent)

Method Detail

### getChildren

    protected ArrayList<TreeNode> getChildren()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### unwrap

    public Object unwrap()

  Description copied from interface: `Wrapped`
  returns the embedded instance that this wrapper encloses

  Specified by:
    `unwrap` in interface `Wrapped<Object>`

### getChildAt

    public TreeNode getChildAt(int index)

  Specified by:
    `getChildAt` in interface `TreeNode`

### getChildCount

    public int getChildCount()

  Specified by:
    `getChildCount` in interface `TreeNode`

### getParent

    public TreeNode getParent()

  Specified by:
    `getParent` in interface `TreeNode`

### getIndex

    public int getIndex(TreeNode node)

  Specified by:
    `getIndex` in interface `TreeNode`

### getAllowsChildren

    public boolean getAllowsChildren()

  Specified by:
    `getAllowsChildren` in interface `TreeNode`

### isLeaf

    public boolean isLeaf()

  Specified by:
    `isLeaf` in interface `TreeNode`

### children

    public Enumeration<?> children()

  Specified by:
    `children` in interface `TreeNode`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads